# MSP::CCS::TransverseMercator Class Reference

`#include <TransverseMercator.h>`

Inheritance diagram for MSP::CCS::TransverseMercator:

List of all members.

## Public Member Functions

| TransverseMercator (double ellipsoidSemiMajorAxis, double ellipsoidFlattening, double centralMeridian, double latitudeOfTrueScale, double falseEasting, double falseNorthing, double scaleFactor)
| TransverseMercator (const TransverseMercator &tm)
| ~TransverseMercator (void)
TransverseMercator & | operator= (const TransverseMercator &tm)
MapProjection5Parameters * | getParameters () const
MSP::CCS::MapProjectionCoordinates * | convertFromGeodetic (MSP::CCS::GeodeticCoordinates *geodeticCoordinates)
MSP::CCS::GeodeticCoordinates * | convertToGeodetic (MSP::CCS::MapProjectionCoordinates *mapProjectionCoordinates)

## Detailed Description

Definition at line 105 of file TransverseMercator.h.

## Constructor & Destructor Documentation

TransverseMercator::TransverseMercator | ( | double | ellipsoidSemiMajorAxis,
|  | double | ellipsoidFlattening,
|  | double | centralMeridian,
|  | double | latitudeOfTrueScale,
|  | double | falseEasting,
|  | double | falseNorthing,
|  | double | scaleFactor |
| ) |  |  |

Definition at line 129 of file TransverseMercator.cpp.

TransverseMercator::TransverseMercator | ( | const TransverseMercator & | tm | ) |

Definition at line 256 of file TransverseMercator.cpp.

TransverseMercator::~TransverseMercator | ( | void |  | ) |

Definition at line 277 of file TransverseMercator.cpp.

## Member Function Documentation

MSP::CCS::MapProjectionCoordinates * TransverseMercator::convertFromGeodetic | ( | MSP::CCS::GeodeticCoordinates * | geodeticCoordinates | ) |

Definition at line 329 of file TransverseMercator.cpp.

MSP::CCS::GeodeticCoordinates * TransverseMercator::convertToGeodetic | ( | MSP::CCS::MapProjectionCoordinates * | mapProjectionCoordinates | ) |

Definition at line 482 of file TransverseMercator.cpp.

MapProjection5Parameters * TransverseMercator::getParameters | ( |  | ) | const

Definition at line 308 of file TransverseMercator.cpp.

TransverseMercator & TransverseMercator::operator= | ( | const TransverseMercator & | tm | ) |

Definition at line 282 of file TransverseMercator.cpp.

The documentation for this class was generated from the following files:

- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/tranmerc/TransverseMercator.h
- Y:/msp/devkits/temp_geotrans/master/geotrans3.1/CCS/src/dtcc/CoordinateSystems/tranmerc/TransverseMercator.cpp